// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Database;
using XGame.Framework.Serialization;

namespace XGame.Database
{
    /// <summary> dragonEggOpen </summary>
    public sealed class dragonEggOpenTable : ITable
    {
        long ITable.Key => Id;

        /// <summary> ID </summary>
        public int Id { get; private set; }

        /// <summary> 龙蛋等级 </summary>
        public int EggLevel { get; private set; }

        /// <summary> 抽取次数 </summary>
        public int DrawNum { get; private set; }

        /// <summary> 装备品质 </summary>
        public EQualityLevel Quality { get; private set; }

        /// <summary> 装备部位 </summary>
        public EEquipType Part { get; private set; }

        void ISerializable.Deserialize(IReader reader)
        {
            Id = reader.ReadInt();
            EggLevel = reader.ReadInt();
            DrawNum = reader.ReadInt();
            Quality = (EQualityLevel)reader.ReadInt();
            Part = (EEquipType)reader.ReadInt();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(Id);
            writer.Write(EggLevel);
            writer.Write(DrawNum);
            writer.Write((int)Quality);
            writer.Write((int)Part);
        }
    }
}
